> ## Documentation Index
> Fetch the complete documentation index at: https://tahsil.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry dead or failed transaction automation



## OpenAPI

````yaml /openapi/openapi.yaml post /banks/transactions/{id}/automation/retry
openapi: 3.1.0
info:
  title: Tahsil API
  version: 1.0.0
  description: >-
    Tahsil müşterilerinin web ve mobil uygulamalarda kullandığı tenant-scoped
    müşteri API sözleşmesi.
servers:
  - url: https://api.tahsil.dev
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Operations - Health
    description: Public liveness and dependency readiness probes.
  - name: Identity - Auth
    description: User login, refresh and logout flows for token-based access.
  - name: Banking - Accounts
    description: Bank account aggregation endpoints available to customer tenants.
  - name: Banking - Transactions
    description: Bank transaction ingestion and retrieval endpoints.
  - name: Banking - Automation
    description: Tenant transaction matching rules, assignments and historical runs.
  - name: Banking - Polling
    description: Polling schedule definitions for bank connector queries.
  - name: Banking - Dashboard
    description: Flexible tenant dashboard analytics and widget query endpoints.
  - name: Audit - Connector Logs
    description: Customer-visible bank connector request/response audit trail.
  - name: Payments - Orchestration
    description: Tenant Virtual POS, rate plan and payment intent orchestration.
paths:
  /banks/transactions/{id}/automation/retry:
    post:
      tags:
        - Banking - Automation
      summary: Retry dead or failed transaction automation
      operationId: postBanksTransactionsByIdAutomationRetry
      parameters:
        - $ref: '#/components/parameters/Id'
        - $ref: '#/components/parameters/XCompanyIdRequired'
      responses:
        '200':
          $ref: '#/components/responses/ItemResponse'
        default:
          $ref: '#/components/responses/ErrorResponse'
      security:
        - bearerAuth: []
components:
  parameters:
    Id:
      name: id
      in: path
      required: true
      schema:
        type: string
    XCompanyIdRequired:
      name: x-company-id
      in: header
      required: true
      schema:
        type: string
      description: Target tenant company id for a write operation.
  responses:
    ItemResponse:
      description: Single entity response
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: boolean
              result:
                type: object
                additionalProperties: true
          example:
            status: true
            result:
              id: 64f000000000000000000001
    ErrorResponse:
      description: Request failed
      content:
        application/json:
          schema:
            type: object
            required:
              - status
            properties:
              status:
                type: boolean
                const: false
              error:
                type: object
                additionalProperties: true
          example:
            status: false
            error:
              code: AUTHENTICATION_REQUIRED
              message: Authentication is required
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Retry a failed rule run](/api-reference/banking--automation/retry-a-failed-rule-run.md)
- [List ingested bank transactions](/api-reference/banking--transactions/list-ingested-bank-transactions.md)
- [Get transaction rule detail](/api-reference/banking--automation/get-transaction-rule-detail.md)
- [List tenant transaction rules](/api-reference/banking--automation/list-tenant-transaction-rules.md)
- [Create a transaction rule](/api-reference/banking--automation/create-a-transaction-rule.md)
